<template>
  <b-card class="font-large w-100 bg-unset border-unset">
    <b-card-title class="font-xx-large">
      {{ $t('card.playFree.title') }}
    </b-card-title>

    <b-card-text>
      {{ $t('card.playFree.text') }}
    </b-card-text>

    <b-button
      v-if="!hideSignup"
      :href="accountSignupLink"
      variant="secondary"
      class="mb-2 text-uppercase"
      block
      >{{ $t('button.signUp') }}</b-button
    >
    <b-button
      :href="getCurrentPlatformLink.url"
      :size="dwlSize"
      variant="primary"
      class="mb-2 text-uppercase"
      block
      >{{ $t('button.downloadRyzom') }}
      <font-awesome-icon
        :icon="['fab', getCurrentPlatformLink.icon]"
        class="ml-2"
      ></font-awesome-icon
    ></b-button>

    <div
      class="d-flex align-items-center justify-content-center font-x-large flex-column flex-sm-row mt-2"
    >
      <span class="font-medium">{{ $t('card.playFree.otherPlatforms') }}:</span>
      <span
        ><a
          v-for="platform in getOtherPlatformLinks"
          :key="platform.id"
          :href="platform.url"
          :target="platform.target"
          class="text-white effect-hover-color-link"
          ><font-awesome-icon
            :icon="['fab', platform.icon]"
            class="ml-3"
          ></font-awesome-icon
        ></a>
      </span>
    </div>

    <div v-if="linkToDownloadpage" class="text-center font-smaller">
      <nuxt-link :to="localePath('download')">{{
        $t('card.playFree.systemRequirements')
      }}</nuxt-link>
    </div>

    <b-card-text class="mt-3">
      {{ $t('card.playFree.premium.before') }}
      <nuxt-link :to="localePath('play') + '#premium'">{{
        $t('card.playFree.premium.link')
      }}</nuxt-link>
      {{ $t('card.playFree.premium.after') }}
    </b-card-text>
  </b-card>
</template>

<script>
import UserPlatformDownloadMixin from '~/components/mixins/UserPlatformDownloadMixin';
import Crosslinking from '~/components/mixins/Crosslinking';

export default {
  mixins: [UserPlatformDownloadMixin, Crosslinking],
  props: {
    linkToDownloadpage: {
      type: Boolean,
      default: false,
    },
    hideSignup: {
      type: Boolean,
      default: false,
    },
    bigDownload: {
      type: Boolean,
      default: false,
    },
  },
  computed: {
    dwlSize() {
      if (this.bigDownload) {
        return 'lg';
      }

      return 'md';
    },
  },
  methods: {
    getVariant(platformId) {
      if (platformId === this.getCurrentPlatformLink.id) {
        return 'primary';
      }

      return 'secondary';
    },
  },
};
</script>
